NSStruct::Position Struct Reference

a position More...

`#include <NSStruct.hxx>`

## Classes

struct | Compare
| a comparaison structure used to sort the position More...

## Public Member Functions

| Position ()
| the constructor More...
bool | operator== (Position const &p2) const
| operator== More...
bool | operator!= (Position const &p2) const
| operator!= More...
int | cmp (Position const &p2) const
| a small compare operator More...

## Public Attributes

int | m_paragraph
| the paragraph More...
int | m_word
| the word More...
int | m_char
| the character position More...

## Friends

std::ostream & | operator<< (std::ostream &o, Position const &pos)
| operator<<: prints data in form "XxYxZ" More...

## Detailed Description

a position

## Constructor & Destructor Documentation

NSStruct::Position::Position | ( |  | ) |

inline

the constructor

## Member Function Documentation

int NSStruct::Position::cmp | ( | Position const & | p2 | ) | const

inline

a small compare operator

Referenced by operator!=(), NSStruct::Position::Compare::operator()(), operator==(), and NSText::sendText().

bool NSStruct::Position::operator!= | ( | Position const & | p2 | ) | const

inline

operator!=

bool NSStruct::Position::operator== | ( | Position const & | p2 | ) | const

inline

operator==

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Position const & | pos
| ) |  |

friend

operator<<: prints data in form "XxYxZ"

## Member Data Documentation

int NSStruct::Position::m_char

the character position

Referenced by cmp(), NSText::findFilePos(), NSStruct::operator<<(), NSText::readFootnotes(), NSText::readPosToFont(), and NSText::sendText().

int NSStruct::Position::m_paragraph

the paragraph

Referenced by cmp(), NSText::findFilePos(), NSStruct::operator<<(), NSText::readFootnotes(), NSText::readHeaderFooter(), NSText::readParagraphs(), NSText::readPICD(), NSText::readPosToFont(), NSText::sendFootnote(), NSText::sendHeaderFooter(), and NSText::sendText().

int NSStruct::Position::m_word

the word

Referenced by cmp(), NSText::findFilePos(), NSStruct::operator<<(), NSText::readFootnotes(), NSText::readPosToFont(), and NSText::sendText().

The documentation for this struct was generated from the following file:

- NSStruct.hxx